<app-header-logged>
    <ion-back-button text="" defaultHref="/selection-profil"></ion-back-button>
</app-header-logged>
<app-ariane-inscription etape="1"></app-ariane-inscription>
<ion-content *ngIf="typeRoutineProfilLoc == routineInscriptionLoc || typeRoutineProfilLoc == routineUpdateProfilLoc || typeRoutineProfilLoc == routineResetPasswordLoc || typeRoutineProfilLoc == routineInscriptionClientReseauLoc">
    <app-refresher></app-refresher>
    <div class="container">
        <div class="headingContent">
            <p class="heading" translate>contact</p>
        </div>
        <form [formGroup]='onContactForm'>
            <div class="inputBlock">

                <ion-radio-group [value]="clientParticulier.civilite.code" formControlName="civility">
                    <ion-grid no-padding no-margin>
                        <ion-row no-padding no-margin>
                            <ion-col no-margin no-padding>
                                <p class="questionCivilite" translate>vous_etes</p>


                            </ion-col>
                            <ion-col>
                                <div [ngClass]="clientParticulier.civilite.code == civiliteHomme.code?'radioChecked':''" class="block" (click)="getCiviliteClicked(civiliteHomme)">

                                    <div class="image">
                                        <img src="../../assets/icon/male-solid.svg">
                                    </div>
                                    <ion-radio mode="md" class="radioBouton" [value]="civiliteHomme.code" checked></ion-radio>
                                    <!-- </div> -->

                                </div>
                            </ion-col>
                            <ion-col>
                                <div [ngClass]="clientParticulier.civilite.code == civiliteFemme.code?'radioChecked':''" class="block blockFemale" (click)="getCiviliteClicked(civiliteFemme)">

                                    <div class="image">
                                        <img src="../../assets/icon/female-solid.svg">
                                    </div>
                                    <ion-radio mode="md" class="radioBouton" [value]="civiliteFemme.code" checked></ion-radio>
                                    <!-- </div> -->

                                </div>
                            </ion-col>
                        </ion-row>
                    </ion-grid>
                </ion-radio-group>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('civility').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>

            <div class="inputBlock inputBlockNom">

                <p class="question" translate>nom</p>
                <div class="itemInput" no-padding [ngClass]="formInvalide && onContactForm.get('nom').hasError('required')?'itemError':''">

                    <ion-input class="inputNom" placeholder="Entrer votre nom" [value]="clientParticulier.nom" type="text" formControlName="nom"></ion-input>

                </div>

                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('nom').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>

            </div>
            <div class="inputBlock">
                <p class="question" translate>prenom</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('prenom').hasError('required')?'itemError':''" no-padding>

                    <ion-input class="inputNom" placeholder="Entrer votre prénom" [value]="clientParticulier.prenom" type="text" formControlName="prenom">
                    </ion-input>

                </div>
                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('prenom').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputs">
                <div class="inputBlock inputBlock1">
                    <p class="question" translate>indicatif</p>
                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('telephone').hasError('required')?'itemError':''">


                        <ion-select #indicatif value="+221">
                            <ion-select-option value="+221">+221</ion-select-option>
                            <ion-select-option value="+220">+220</ion-select-option>
                            <ion-select-option value="+219">+219</ion-select-option>
                        </ion-select>

                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('telephone').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>

                </div>
                <div class="inputBlock inputBlock2">
                    <p class="question" translate>telephone</p>

                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('telephone').hasError('required')?'itemError':''">



                        <ion-input type="tel" placeholder="Entrer votre numéro" #telephone maxlength="9" formControlName="telephone"></ion-input>

                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('telephone').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
            </div>
            <div class="inputBlock">
                <p class="question" translate>date_naissance</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('datenais').hasError('required')?'itemError':''">



                    <ion-input [value]="clientParticulier.dateDeNaissance" formControlName="datenais" maxlength="10" type="tel" [(ngModel)]="datenais" placeholder="Ex:01-12-2010" (ionChange)="onChangeValue()"></ion-input>
                    <!-- <ion-datetime formControlName="datenais" displayFormat="DD/MM/YYYY" pickerFormat="DD/MMMM/YYYY"></ion-datetime>   -->
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('datenais').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalide && onContactForm.get('datenais').hasError('required')) || onContactForm.get('datenais').hasError('pattern')">
                    <ion-text color="danger" translate>
                        format date: jj-mm-yyyy
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate>adresse</p>
                <div class="itemInput inputTextarea" [ngClass]="formInvalide && onContactForm.get('adresse').hasError('required')?'itemError':''">

                    <ion-textarea [value]="clientParticulier.adresse" placeholder="Entrer votre adresse" type="text" formControlName="adresse"></ion-textarea>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('adresse').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputs">
                <div class="inputBlock">
                    <p class="question" translate>pays</p>
                    <div class="itemInput" (ionChange)="chargerRegionsduPays()" [ngClass]="formInvalide && onContactForm.get('pays').hasError('required')?'itemError':''">
                        <ion-select [value]="clientParticulier.pays" [compareWith]=cw #pays formControlName="pays" placeholder="Votre pays" multiple="false">
                            <ion-select-option *ngFor="let pays of allPays" [value]="pays">{{pays.nom}}</ion-select-option>

                        </ion-select>
                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('pays').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>


                </div>
                <div class="inputBlock">
                    <p class="question" translate>ville</p>
                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('ville').hasError('required')?'itemError':''">
                        <ion-select [value]="clientParticulier.ville" #selectRegion [compareWith]=cw formControlName="ville" (click)="chargerRegionsduPays()" placeholder="Votre région">
                            <ion-select-option *ngFor="let region of allRegions" [value]="region">{{region.nom}}</ion-select-option>

                        </ion-select>
                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('ville').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>

                </div>


            </div>




            <div class="inputBlock">
                <p class="question" translate>email</p>
                <div class="itemInput" [ngClass]="formInvalide && (onContactForm.get('email').hasError('required') || onContactForm.get('email').hasError('email'))?'itemError':''">

                    <ion-input placeholder="Entrer votre email" [value]="clientParticulier.email" type="mail" formControlName="email"></ion-input>

                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('email').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('email').hasError('email')">
                    <ion-text color="danger" translate>
                        email_non_valide
                    </ion-text>
                </p>
            </div>

            <div class="bottomBlock">
                <ion-button icon-left size="large" shape="round" color="primary" (click)="continuer()">

                    <ion-icon color="light" name="arrow-round-forward"></ion-icon>

                </ion-button>
            </div>


        </form>

    </div>

</ion-content>
<ion-content *ngIf="typeRoutineProfilLoc == routineInscriptionProLoc || typeRoutineProfilLoc == routineUpdateProfilProLoc">
    <app-refresher></app-refresher>
    <div class="container">
        <div class="headingContent">
            <p class="heading" translate>contact</p>
        </div>
        <form [formGroup]='onContactForm'>


            <div class="inputBlock inputBlockNom">

                <p class="question" translate>nom</p>
                <div class="itemInput" no-padding [ngClass]="formInvalide && onContactForm.get('nom').hasError('required')?'itemError':''">

                    <ion-input placeholder="Entrer votre nom" class="inputNom" [value]="clientProfessionnel.nom" type="text" formControlName="nom"></ion-input>

                </div>

                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('nom').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>

            </div>
            <div class="inputBlock">
                <p class="question" translate>ninea</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('ninea').hasError('required')?'itemError':''" no-padding>

                    <ion-input placeholder="Entrer votre ninea" class="inputNom" [value]="clientProfessionnel.ninea" type="text" formControlName="ninea">
                    </ion-input>

                </div>
                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('ninea').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate>registre</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('registre').hasError('required')?'itemError':''" no-padding>

                    <ion-input placeholder="Entrer votre registre" class="inputNom" [value]="clientProfessionnel.registreCommerce" type="text" formControlName="registre"></ion-input>

                </div>
                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('registre').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputs">
                <div class="inputBlock inputBlock1">
                    <p class="question" translate>indicatif</p>
                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('telephone').hasError('required')?'itemError':''">


                        <ion-select #indicatif value="+221">
                            <ion-select-option value="+221">+221</ion-select-option>
                            <ion-select-option value="+220">+220</ion-select-option>
                            <ion-select-option value="+219">+219</ion-select-option>
                        </ion-select>

                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('telephone').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>

                </div>
                <div class="inputBlock inputBlock2">
                    <p class="question" translate>telephone</p>

                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('telephone').hasError('required')?'itemError':''">



                        <ion-input placeholder="Entrer votre numéro" type="tel" #telephone maxlength="9" formControlName="telephone"></ion-input>

                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('telephone').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>
                </div>
            </div>
            <div class="inputBlock">
                <p class="question" translate>fax</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('fax').hasError('required')?'itemError':''" no-padding>

                    <ion-input placeholder="Entrer votre numéro fax" class="inputNom" [value]="clientProfessionnel.fax" type="text" formControlName="fax"></ion-input>

                </div>
                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('fax').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate> site_web</p>

                <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('siteweb').hasError('required')?'itemError':''" no-padding>

                    <ion-input placeholder="Entrer votre site web" class="inputNom" [value]="clientProfessionnel.siteweb" type="text" formControlName="siteweb">
                    </ion-input>

                </div>
                <p ion-text class="text08" *ngIf="formInvalide && onContactForm.get('siteweb').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>

            <div class="inputBlock">
                <p class="question" translate>adresse</p>
                <div class="itemInput inputTextarea" [ngClass]="formInvalide && onContactForm.get('adresse').hasError('required')?'itemError':''">

                    <ion-textarea placeholder="Entrer votre adresse" [value]="clientProfessionnel.adresse" type="text" formControlName="adresse"></ion-textarea>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('adresse').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
            </div>
            <div class="inputs">
                <div class="inputBlock">
                    <p class="question" translate>pays</p>
                    <div class="itemInput" (ionChange)="chargerRegionsduPays()" [ngClass]="formInvalide && onContactForm.get('pays').hasError('required')?'itemError':''">
                        <ion-select [value]="clientProfessionnel.pays" [compareWith]=cw #pays formControlName="pays" placeholder="Selectionner votre pays" multiple="false">
                            <ion-select-option *ngFor="let pays of allPays" [value]="pays">{{pays.nom}}</ion-select-option>

                        </ion-select>
                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('pays').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>


                </div>
                <div class="inputBlock">
                    <p class="question" translate>ville</p>
                    <div class="itemInput" [ngClass]="formInvalide && onContactForm.get('ville').hasError('required')?'itemError':''">
                        <ion-select [value]="clientProfessionnel.ville" #selectRegion [compareWith]=cw formControlName="ville" (click)="chargerRegionsduPays()" placeholder="Selectionner votre région">
                            <ion-select-option *ngFor="let region of allRegions" [value]="region">{{region.nom}}</ion-select-option>

                        </ion-select>
                    </div>
                    <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('ville').hasError('required')">
                        <ion-text color="danger" translate>
                            champ_obligatoire
                        </ion-text>
                    </p>

                </div>


            </div>




            <div class="inputBlock">
                <p class="question" translate>email</p>
                <div class="itemInput" [ngClass]="formInvalide && (onContactForm.get('email').hasError('required') || onContactForm.get('email').hasError('email'))?'itemError':''">

                    <ion-input placeholder="Entrer votre email" [value]="clientProfessionnel.email" type="mail" formControlName="email"></ion-input>

                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('email').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="formInvalide && onContactForm.get('email').hasError('email')">
                    <ion-text color="danger" translate>
                        email_non_valide
                    </ion-text>
                </p>
            </div>
            <div text-center style="margin-top:5px;margin-bottom:5px;">

                <ion-button (click)="ajouterContactsClient()" slot="end">

                    <ion-text translate> personne_a_contacter </ion-text>
                </ion-button>
            </div>

            <div class="bottomBlock">
                <ion-button icon-left size="large" shape="round" color="primary" (click)="continuerpro()">

                    <ion-icon color="light" name="arrow-round-forward"></ion-icon>

                </ion-button>
            </div>



        </form>

    </div>
</ion-content>